import 'package:flutter/material.dart';
import 'package:qtybutton/qtybutton.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Flutter Qtybutton Example',
        theme: ThemeData(
          primarySwatch: Colors.blue,
          visualDensity: VisualDensity.adaptivePlatformDensity,
        ),
        home: Home());
  }
}

class Home extends StatelessWidget {
  const Home({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Material(
        child: QtyButton(
            qtytextstyle: TextStyle(fontSize: 18,fontWeight: FontWeight.bold),
            quantity: 1,
            buttonsize: 50,
            maxquanity: 100,
            buttonradius: 80,
            fastincrease: true,
            bgcolor: Colors.red,
            alignment: Alignment.center,
            iconcolor: Colors.white,
            getqty: (int qty) => print("qty $qty")));
  }
}
